-- BITMAP GENERATOR --
-- Source bitmap: micro_smile_frame.bmp


library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

package micro_smile_frame is
	--- bitmap pixels ---
	function pixels (col: std_logic_vector; row: std_logic_vector) return std_logic;

	--- bitmap size ---
	constant bmpx: integer := 8;
	constant bmpy: integer := 8;
	constant bitx: integer := 4;
	constant bity: integer := 4;
end micro_smile_frame;

package body micro_smile_frame is
	--- bitmap pixels ---
	function pixels (col: std_logic_vector; row: std_logic_vector) return std_logic is
		variable pix: std_logic;
	begin
		   if (col=0   and row=0  ) then pix := '0';
		elsif (col=1   and row=0  ) then pix := '0';
		elsif (col=2   and row=0  ) then pix := '0';
		elsif (col=3   and row=0  ) then pix := '0';
		elsif (col=4   and row=0  ) then pix := '0';
		elsif (col=5   and row=0  ) then pix := '0';
		elsif (col=6   and row=0  ) then pix := '1';
		elsif (col=7   and row=0  ) then pix := '0';
		elsif (col=0   and row=1  ) then pix := '0';
		elsif (col=1   and row=1  ) then pix := '1';
		elsif (col=2   and row=1  ) then pix := '0';
		elsif (col=3   and row=1  ) then pix := '0';
		elsif (col=4   and row=1  ) then pix := '0';
		elsif (col=5   and row=1  ) then pix := '1';
		elsif (col=6   and row=1  ) then pix := '0';
		elsif (col=7   and row=1  ) then pix := '1';
		elsif (col=0   and row=2  ) then pix := '0';
		elsif (col=1   and row=2  ) then pix := '0';
		elsif (col=2   and row=2  ) then pix := '0';
		elsif (col=3   and row=2  ) then pix := '1';
		elsif (col=4   and row=2  ) then pix := '0';
		elsif (col=5   and row=2  ) then pix := '0';
		elsif (col=6   and row=2  ) then pix := '0';
		elsif (col=7   and row=2  ) then pix := '1';
		elsif (col=0   and row=3  ) then pix := '0';
		elsif (col=1   and row=3  ) then pix := '0';
		elsif (col=2   and row=3  ) then pix := '0';
		elsif (col=3   and row=3  ) then pix := '1';
		elsif (col=4   and row=3  ) then pix := '0';
		elsif (col=5   and row=3  ) then pix := '0';
		elsif (col=6   and row=3  ) then pix := '0';
		elsif (col=7   and row=3  ) then pix := '1';
		elsif (col=0   and row=4  ) then pix := '0';
		elsif (col=1   and row=4  ) then pix := '1';
		elsif (col=2   and row=4  ) then pix := '0';
		elsif (col=3   and row=4  ) then pix := '0';
		elsif (col=4   and row=4  ) then pix := '0';
		elsif (col=5   and row=4  ) then pix := '1';
		elsif (col=6   and row=4  ) then pix := '0';
		elsif (col=7   and row=4  ) then pix := '1';
		elsif (col=0   and row=5  ) then pix := '0';
		elsif (col=1   and row=5  ) then pix := '0';
		elsif (col=2   and row=5  ) then pix := '1';
		elsif (col=3   and row=5  ) then pix := '1';
		elsif (col=4   and row=5  ) then pix := '1';
		elsif (col=5   and row=5  ) then pix := '0';
		elsif (col=6   and row=5  ) then pix := '0';
		elsif (col=7   and row=5  ) then pix := '1';
		elsif (col=0   and row=6  ) then pix := '1';
		elsif (col=1   and row=6  ) then pix := '0';
		elsif (col=2   and row=6  ) then pix := '0';
		elsif (col=3   and row=6  ) then pix := '0';
		elsif (col=4   and row=6  ) then pix := '0';
		elsif (col=5   and row=6  ) then pix := '0';
		elsif (col=6   and row=6  ) then pix := '1';
		elsif (col=7   and row=6  ) then pix := '0';
		elsif (col=0   and row=7  ) then pix := '0';
		elsif (col=1   and row=7  ) then pix := '1';
		elsif (col=2   and row=7  ) then pix := '1';
		elsif (col=3   and row=7  ) then pix := '1';
		elsif (col=4   and row=7  ) then pix := '1';
		elsif (col=5   and row=7  ) then pix := '1';
		elsif (col=6   and row=7  ) then pix := '0';
		elsif (col=7   and row=7  ) then pix := '0';
		else pix := '0'; end if;

		return pix;
	end pixels;
end micro_smile_frame;
